package dev.kske.chess.board;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Position.java</strong><br>
 * Created: <strong>02.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Position {

	public final int x, y;

	public Position(int x, int y) {
		this.x	= x;
		this.y	= y;
	}

	public static Position fromAlgebraicNotation(String pos) {
		return new Position(pos.charAt(0) - 97, 7 - (Character.getNumericValue(pos.charAt(1)) - 1));
	}

	@Override
	public String toString() {
		return String.format("[%d, %d]", x, y);
	}
}
